Skip to content

PATCH User.

PATCH
/api/scim/namespaces/system/v2/Users/{id}
curl --request PATCH \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/scim/namespaces/system/v2/Users/example \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "Operations": [ { "op": "example", "path": "example", "value": {} } ], "id": "example", "schemas": [ "example" ] }'

PATCH patches the fields for this user.

Examples of this operation.

id
required
string

ID

x-example: ""ID”: “1234-5678-901234"" x-required ID of the user object that needs patching.

Media typeapplication/json
PatchUserRequest

X-example: { “schemas”: [ “urn:ietf:params:scim:API:messages:2.0:PatchOp” ], operation”: [{ “op”: “add”, “path”: “name.preferredname”, “value”: “New preferred Name” }] }, “ID”: “1234-5678-901234”

} PatchUserRequest patches the user object or deletes it.

object
Operations
operations

“op”: “add”, “path”: “name.preferredname”, “value”: “new name” }] }"" operations that will modify or DELETE the user object. Required: YES.

Array<object>
PatchOperation

PatchOperation is the PATCH operation where user can be updated replaced or remove.. Supported op types are add, remove, replace remove is remove a specific entry.

object
op
op

Op “add”, “replace”, “remove”, “DELETE”

string
<= 1024 characters
path
path

Path to the field where the change needs to happen.

string
<= 1024 characters
value
value

Value to be used for modifying the object. In case of DELETE nothing needs to be specified.

object
id
id

ID of the user object that needs patching. Required: YES.

string
>= 1 <= 4094 <= 1024 characters
schemas
schemas

Schemas for PATCH. Required: YES.

Array<string>
Examplegenerated
{
"Operations": [
{
"op": "example",
"path": "example",
"value": {}
}
],
"id": "example",
"schemas": [
"example"
]
}

A successful response.

Media typeapplication/json
User

User object representing the user created.

object
active
active

Active specifies if user is active or not.

boolean format: boolean
displayName
displayName

DisplayName for the user.

string
<= 1024 characters
emails
emails

Emails for the user whether primary or secondary.

Array<object>
Email

Email for user can be primary or secondary.

object
primary
primary

Primary boolean describing whether it is primary or not.

boolean format: boolean
type
type

Type of email describing whether it is work or personal.

string
<= 1024 characters
value
value

Value.

string
>= 3 characters <= 1024 characters
externalId
externalId

ExternalId specifies the ID for the user object in external system. Required: YES.

string
<= 1024 characters
groups
groups

Groups to which user is part of. Required: YES.

Array<object>
UserGroup

UserGroup.

object
display
display

Display for the user group name.

string
<= 1024 characters
id
id

ID of the group to which user belongs.

string
>= 1 <= 4094 <= 1024 characters
id
id

ID for user object. Required: YES.

string
>= 1 <= 4094 <= 1024 characters
meta
object
created
created

Create date. Required: YES.

string
<= 1024 characters
lastModified
lastModified

Last modification date and time. Required: YES.

string
<= 1024 characters
location
location

[x-required] location for resource.

string
>= 4 characters <= 1024 characters
resourceType
resourceType

Type of resource. Required: YES.

string
<= 1024 characters
version
version

Version for resource type. Required: YES.

string
>= 1 characters <= 1024 characters
name
object
familyName
familyName

Family name.

string
<= 1024 characters
formatted
formatted

Formatted name is detailed name of person.

string
<= 1024 characters
givenName
givenName

Given name of the person.

string
<= 1024 characters
honorificPrefix
honorificPrefix

Prefix for the name. Mr Ms. Etc.

string
<= 1024 characters
honorificSuffix
honorificSuffix

Suffix for the name like Jr Sr I II III etc.

string
<= 1024 characters
middleName
middleName

Middle name of the person.

string
<= 1024 characters
nickName
nickName

NickName for the user.

string
<= 1024 characters
roles
roles

Roles defined for the user. Required: YES.

Array<string>
schemas
schemas

Schemas for user object as per scim spec 2.0. Required: YES.

Array<string>
userName
userName

UserName for the user. Required: YES.

string
<= 1024 characters
userType
string
default: USER
Allowed values: USER SERVICE DEBUG
Example
{
"userType": "USER"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example